# Couenne::CouenneObjective Class Reference

Objective function. More...

`#include <CouenneProblemElem.hpp>`

List of all members.

## Public Member Functions
| CouenneObjective (expression *body)
| constructor
| ~CouenneObjective ()
| destructor
| CouenneObjective (const CouenneObjective &o, Domain *d=NULL)
| copy constructor
CouenneObjective * | clone (Domain *d=NULL) const
| cloning method
expression * | Body () const
| get body
expression * | Body (expression *newBody)
| Set body.
exprAux * | standardize (CouenneProblem *p)
| Get standard form of this objective function.
void | print (std::ostream &out=std::cout)
| Print to iostream.
## Protected Attributes
expression * | body_
| expression to optimize

## Detailed Description

Objective function.

It consists of an expression only. We only assume minimization problems (proper sign changes are applied upon reading)

Definition at line 109 of file CouenneProblemElem.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneObjective::CouenneObjective | ( | expression * | body | ) | `[inline]`

constructor

Definition at line 119 of file CouenneProblemElem.hpp.

Referenced by clone().

Couenne::CouenneObjective::~CouenneObjective | ( |  | ) | `[inline]`

destructor

Definition at line 123 of file CouenneProblemElem.hpp.

References body_.

Couenne::CouenneObjective::CouenneObjective | ( | const CouenneObjective & | o,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

copy constructor

Definition at line 127 of file CouenneProblemElem.hpp.

## Member Function Documentation

CouenneObjective* Couenne::CouenneObjective::clone | ( | Domain * | d = `NULL` | ) | const`[inline]`

cloning method

Definition at line 131 of file CouenneProblemElem.hpp.

References CouenneObjective().

expression* Couenne::CouenneObjective::Body | ( |  | ) | const`[inline]`

get body

Definition at line 135 of file CouenneProblemElem.hpp.

References body_.

expression* Couenne::CouenneObjective::Body | ( | expression * | newBody | ) | `[inline]`

Set body.

Definition at line 139 of file CouenneProblemElem.hpp.

References body_.

exprAux* Couenne::CouenneObjective::standardize | ( | CouenneProblem * | p | ) | `[inline]`

Get standard form of this objective function.

Definition at line 143 of file CouenneProblemElem.hpp.

References body_, and standardize().

Referenced by standardize().

void Couenne::CouenneObjective::print | ( | std::ostream & | out = `std::cout` | ) | `[inline]`

Print to iostream.

Definition at line 147 of file CouenneProblemElem.hpp.

References body_.

## Member Data Documentation

expression* Couenne::CouenneObjective::body_`[protected]`

expression to optimize

Definition at line 114 of file CouenneProblemElem.hpp.

Referenced by Body(), print(), standardize(), and ~CouenneObjective().

The documentation for this class was generated from the following file:

- CouenneProblemElem.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines